org.apache.commons.io.function

## Class IOStreams

- java.lang.Object
- - org.apache.commons.io.function.IOStreams

-     final class IOStreams
      extends Object

  Keep this code package-private for now.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static Object` | `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static <T> void` | `forAll(java.util.stream.Stream<T> stream, IOConsumer<T> action)`
    `(package private) static <T> void` | `forAll(java.util.stream.Stream<T> stream, IOConsumer<T> action, java.util.function.BiFunction<Integer,IOException,IOException> exSupplier)`
    `(package private) static <T> void` | `forEach(java.util.stream.Stream<T> stream, IOConsumer<T> action)`
    `(package private) static <T> java.util.stream.Stream<T>` | `of(Iterable<T> values)` Null-safe version of `StreamSupport.stream(java.util.Spliterator, boolean)`.
    `(package private) static <T> java.util.stream.Stream<T>` | `of(java.util.stream.Stream<T> stream)`
    `(package private) static <T> java.util.stream.Stream<T>` | `of(T... values)` Null-safe version of `Stream.of(Object[])`.
    `(package private) static <T> IOConsumer<T>` | `toIOConsumer(IOConsumer<T> action)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          static final Object NONE

  - ### Method Detail

    - #### forAll

          static <T> void forAll(java.util.stream.Stream<T> stream,
                                 IOConsumer<T> action)
                          throws IOExceptionList

      Throws:
        `IOExceptionList`

    - #### forAll

          static <T> void forAll(java.util.stream.Stream<T> stream,
                                 IOConsumer<T> action,
                                 java.util.function.BiFunction<Integer,IOException,IOException> exSupplier)
                          throws IOExceptionList

      Throws:
        `IOExceptionList`

    - #### forEach

          static <T> void forEach(java.util.stream.Stream<T> stream,
                                  IOConsumer<T> action)
                           throws IOException

      Throws:
        `IOException`

    - #### of

          static <T> java.util.stream.Stream<T> of(Iterable<T> values)

      Null-safe version of `StreamSupport.stream(java.util.Spliterator, boolean)`. Copied from Apache Commons Lang.
      Type Parameters:
        `T` - the type of stream elements.
      Parameters:
        `values` - the elements of the new stream, may be `null`.
      Returns:
        the new stream on `values` or `Stream.empty()`.

    - #### of

          static <T> java.util.stream.Stream<T> of(java.util.stream.Stream<T> stream)

    - #### of

          @SafeVarargs
          static <T> java.util.stream.Stream<T> of(T... values)

      Null-safe version of `Stream.of(Object[])`. Copied from Apache Commons Lang.
      Type Parameters:
        `T` - the type of stream elements.
      Parameters:
        `values` - the elements of the new stream, may be `null`.
      Returns:
        the new stream on `values` or `Stream.empty()`.

    - #### toIOConsumer

          static <T> IOConsumer<T> toIOConsumer(IOConsumer<T> action)